#include "capdtools.h"

// ########## Global variables ##########
// Mass parameter of the Sun-Earth problem
double mu = 3.040423398444176E-6;

// Vector field of the (planar circular) RTBP in rotating euclidean
// coordinates (X,Y,PX,PY).
IMap F = "par:mu;var:X,Y,PX,PY;fun:PX+Y,PY-X,PY-(1-mu)*(X-mu)*((X-mu)^2+Y^2)^(-1.5)-mu*(X-mu+1)*((X-mu+1)^2+Y^2)^(-1.5),-PX-(1-mu)*Y*((X-mu)^2+Y^2)^(-1.5)-mu*Y*((X-mu+1)^2+Y^2)^(-1.5);";

void init_rtbp()
{
   	F.setParameter("mu",mu);
}
void NewtonTest()
{
	// ...
}

int main(int argc, char* argv[])
{
  	cout.precision(15);
	try
	{
		init_rtbp();
		NewtonTest();				
	}
	catch(exception& e)
  	{
    		cout << "\n\nException caught: "<< e.what() << endl;
  	}
  return 0;
} 
